Provider-1

Certificate details

Certificate ID #1979
Status historical
Historical reason Moved to historical list in accordance with SP800-131A Revision 1 Transition (AES/TDES key wrapping)
Validation dates 17.07.2013
Standard FIPS 140-2
Security level 1
Type Firmware
Embodiment Multi-Chip Stand Alone
Caveat When operated in FIPS mode
Exceptions
  • Roles, Services, and Authentication: Level 2
  • Design Assurance: Level 3
  • Tested: Check Point Smart-1 50 with Check Point SecurePlatform Operating System Version R7x
Description Check Point Provider 1 technology provides virtualized security management, segmenting your security management into multiple virtual domains. Businesses of all sizes can easily create virtual domains based on geography, business unit or security function to strengthen security and simplify management.
Version (Firmware) R71 with R7x hotfix
Vendor Check Point Software Technologies Ltd. http://www.checkpoint.com
Lab CYGNACOM SOLUTIONS INC
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES, AES-, CAST, DES, Triple-DES, TripleDES, TDES, HMAC, CMAC
Asymmetric Algorithms
ECC, DSA
Hash functions
SHA-1, SHA-256, SHA-384, SHA512, SHA256, SHA-512, MD5
Schemes
MAC, Key Exchange, Key Agreement
Protocols
SSH, SSL, TLS v1.0, TLS, IKE, VPN
Randomness
PRNG, DRBG, RNG
Block cipher modes
CBC

Security level
Level 1, level 1

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 1979,
  "dgst": "11d1ff4edd534071",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "#1615",
        "HMAC#1090",
        "#1189",
        "#1616",
        "#146",
        "#1090",
        "SHS#1616",
        "SHS#1615",
        "RSA#925",
        "AES#1836",
        "Triple-DES#1188",
        "Triple-DES#1189",
        "#1836",
        "#1188",
        "DRBG#146",
        "HMAC#1089",
        "#1089"
      ]
    },
    "cpe_matches": {
      "_type": "Set",
      "elements": [
        "cpe:2.3:a:checkpoint:provider-1:-:*:*:*:*:*:*:*"
      ]
    },
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "1"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 43,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 1
          }
        },
        "FF": {
          "DSA": {
            "DSA": 1
          }
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 3
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IKE": {
          "IKE": 1
        },
        "SSH": {
          "SSH": 1
        },
        "TLS": {
          "SSL": {
            "SSL": 2
          },
          "TLS": {
            "TLS": 31,
            "TLS v1.0": 3
          }
        },
        "VPN": {
          "VPN": 2
        }
      },
      "crypto_scheme": {
        "KA": {
          "Key Agreement": 1
        },
        "KEX": {
          "Key Exchange": 1
        },
        "MAC": {
          "MAC": 1
        }
      },
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "fips_cert_id": {
        "Cert": {
          "#1089": 1,
          "#1090": 1,
          "#1188": 2,
          "#1189": 1,
          "#146": 1,
          "#1615": 1,
          "#1616": 1,
          "#1836": 2,
          "#925": 1
        }
      },
      "fips_certlike": {
        "Certlike": {
          "- PKCS#1": 1,
          "AES (256": 1,
          "AES (Cert #1836": 1,
          "HMAC-SHA-1": 1,
          "HMAC-SHA-1 (20": 1,
          "HMAC-SHA1": 2,
          "PKCS#1": 3,
          "SHA-1": 3,
          "SHA-256": 3,
          "SHA-384": 2,
          "SHA-512": 1,
          "SHA256": 2,
          "SHA512": 1
        }
      },
      "fips_security_level": {
        "Level": {
          "Level 1": 4,
          "level 1": 2
        }
      },
      "hash_function": {
        "MD": {
          "MD5": {
            "MD5": 1
          }
        },
        "SHA": {
          "SHA1": {
            "SHA-1": 3
          },
          "SHA2": {
            "SHA-256": 3,
            "SHA-384": 2,
            "SHA-512": 1,
            "SHA256": 2,
            "SHA512": 1
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 9,
          "PRNG": 2
        },
        "RNG": {
          "RNG": 2
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "FIPS": {
          "FIPS 140-2": 33,
          "FIPS 1402": 1,
          "FIPS 180-2": 1,
          "FIPS 198": 1,
          "FIPS PUB 197": 1,
          "FIPS PUB 46-3": 1
        },
        "NIST": {
          "SP 800-90A": 5
        },
        "PKCS": {
          "PKCS#1": 2
        },
        "RFC": {
          "RFC 2104": 2,
          "RFC 2246": 1,
          "RFC 2403": 1,
          "RFC 2404": 1
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 7,
            "AES-": 1
          },
          "CAST": {
            "CAST": 1
          }
        },
        "DES": {
          "3DES": {
            "TDES": 1,
            "Triple-DES": 3,
            "TripleDES": 1
          },
          "DES": {
            "DES": 2
          }
        },
        "constructions": {
          "MAC": {
            "CMAC": 2,
            "HMAC": 3
          }
        }
      },
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "HMAC#1090",
        "SHS#1616",
        "SHS#1615",
        "RSA#925",
        "AES#1836",
        "Triple-DES#1188",
        "Triple-DES#1189",
        "DRBG#146",
        "HMAC#1089"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": [
        "#1615",
        "#1189",
        "#1616",
        "#146",
        "#1090",
        "#1836",
        "#1188",
        "#1089"
      ]
    },
    "policy_metadata": {
      "/CreationDate": "D:20130621044637-04\u002700\u0027",
      "/Creator": "Microsoft\u00ae Word 2010",
      "/ModDate": "D:20130716165759-04\u002700\u0027",
      "/Producer": "Microsoft\u00ae Word 2010",
      "pdf_file_size_bytes": 498117,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "http://csrc.nist.gov/groups/STM/cmvp/validation.html",
          "http://csrc.nist.gov/groups/STM",
          "http://www.checkpoint.com/"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 36
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "1997ebe4f420919e3e3df0bd97c2ede4d7dabb26c802f04604cdfbc06abe6182",
      "source_hash": "fb7b26f0c530dd884a97b51579536f42af4a8e1b3752653b3ea3cef2a1952581",
      "txt_hash": "ff2db2493a60da4c2ab3301c6cf4c1b64bc17af9c51997eeff28ff4b2c48a891"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertList0031.pdf",
    "date_sunset": null,
    "description": "Check Point Provider 1 technology provides virtualized security management, segmenting your security management into multiple virtual domains. Businesses of all sizes can easily create virtual domains based on geography, business unit or security function to strengthen security and simplify management.",
    "embodiment": "Multi-Chip Stand Alone",
    "exceptions": [
      "Roles, Services, and Authentication: Level 2",
      "Design Assurance: Level 3",
      "Tested: Check Point Smart-1 50 with Check Point SecurePlatform Operating System Version R7x"
    ],
    "fw_versions": "R71 with R7x hotfix",
    "historical_reason": "Moved to historical list in accordance with SP800-131A Revision 1 Transition (AES/TDES key wrapping)",
    "hw_versions": null,
    "level": 1,
    "mentioned_certs": {},
    "module_name": "Provider-1",
    "module_type": "Firmware",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": null,
    "tested_conf": null,
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2013-07-17",
        "lab": "CYGNACOM SOLUTIONS INC",
        "validation_type": "Initial"
      }
    ],
    "vendor": "Check Point Software Technologies Ltd.",
    "vendor_url": "http://www.checkpoint.com"
  }
}